Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[portage/gcc(?)]plus rien ne compile !!!
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Mon Jul 16, 2007 4:16 pm    Post subject: [portage/gcc(?)]plus rien ne compile !!! Reply with quote

bonjour je suis dans une ******* totale mon systeme commence a devenir chaotique dans l'arbre portage beaucoup de paquets ne compilent plus (+/-95%) avec toujours une erreur identique
je mets ici l'erreur pour un simple emerge nano
Code:

localhost michael # emerge nano
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) app-editors/nano-2.0.6 to /
 * nano-2.0.6.tar.gz RMD160 ;-) ...                                                            [ ok ]
 * nano-2.0.6.tar.gz SHA1 ;-) ...                                                               [ ok ]
 * nano-2.0.6.tar.gz SHA256 ;-) ...                                                             [ ok ]
 * nano-2.0.6.tar.gz size ;-) ...                                                               [ ok ]
 * checking ebuild checksums ;-) ...                                                            [ ok ]
 * checking auxfile checksums ;-) ...                                                           [ ok ]
 * checking miscfile checksums ;-) ...                                                          [ ok ]
 * checking nano-2.0.6.tar.gz ;-) ...                                                           [ ok ]
>>> Unpacking source...
>>> Unpacking nano-2.0.6.tar.gz to /var/tmp/portage/app-editors/nano-2.0.6/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/app-editors/nano-2.0.6/work/nano-2.0.6 ...
 * econf: updating nano-2.0.6/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating nano-2.0.6/config.sub with /usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info -
-datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --bindir=/bin --enable-color --enable-m
ultibuffer --enable-nanorc --disable-wrapping-as-root --disable-spell --disable-justify --disable-debu
g --enable-nls --enable-utf8 --disable-tiny --without-slang --build=i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... unsupported
checking for style of include used by make... GNU
checking dependency style of i686-pc-linux-gnu-gcc... gcc3
checking whether ln -s works... yes
checking for strerror in -lcposix... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for _LARGE_FILES value needed for large files... no
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for ld used by GCC... /usr/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... no
checking for iconv... no, consider installing GNU libiconv
checking for GNU gettext in libintl... no
checking how to run the C preprocessor... /lib/cpp
configure: error: C preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/app-editors/nano-2.0.6/work/nano-2.0.6/config.log

!!! ERROR: app-editors/nano-2.0.6 failed.
Call stack:
  ebuild.sh, line 1621:   Called dyn_compile
  ebuild.sh, line 973:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  nano-2.0.6.ebuild, line 45:   Called econf '--bindir=/bin' '--enable-color' '--enable-multibuffer' '
--enable-nanorc' '--disable-wrapping-as-root' '--disable-spell' '--disable-justify' '--disable-debug'
'--enable-nls' '--enable-utf8' '--disable-tiny' '--without-slang'


des librairies sont egalement 'out' tels que gtk mais je pense que si j'arrive a ravoir un portage fonctionnel je peut recuperer tout ça par un emerge

l'erreur est donc systematiquement sur le econf

mon systeme est il récupérable ? si oui comment ?

merci d'avance

des infos qui pourrait (?) vous servir :

j'utilisais le prelink mais je l'ai completement retiré ainsi que le ccache


Code:

michael@localhost ~ $ gcc -v
Utilisation des specs internes.
Target: i686-pc-linux-gnu
Configuré avec: /var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.1.2 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-libunwind-exceptions --disable-multilib --enable-libmudflap --disable-libssp --disable-libgcj --enable-languages=c,c++,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu
Modèle de thread: posix
version gcc 4.1.2 (Gentoo 4.1.2)
michael@localhost ~ $
michael@localhost ~ $ uname -a
Linux localhost 2.6.19-gentoo-r5 #5 Sat Apr 7 07:59:40 CEST 2007 i686 AMD Athlon(tm) XP 3000+ AuthenticAMD GNU/Linux
michael@localhost ~ $

Code:

localhost michael # cat /etc/make.conf
# These settings were set by the catalyst build script that automatically built this stage
# Please consult /etc/make.conf.example for a more detailed example
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j1"
USE="3dnow 3dnowext X alsa arts cdr dbus dvd dvdr dvdread gif hal jack jpeg mp3 kde mmx mmxext ogg opengl png qt3 quicktime samba sdl sse utf-8 utf8 vorbis win32codecs xinerama zeroconf -ipv6 nsplugin"
FEATURES="parallel-fetch"
FETCHCOMMAND="wget --limit-rate=32k \${URI} -P \${DISTDIR}"
RESUMECOMMAND="wget --limit-rate=32k -c \${URI} -P \${DISTDIR}"
PORTAGE_NICENESS="19"
LINGUAS="fr fr_FR"
INPUT_DEVICES="keyboard mouse"
VIDEO_CARDS="nvidia"
ALSA_CARDS="intel8x0"
PORTDIR="/usr/portage"


edit : ajout du make.conf
Back to top
View user's profile Send private message
widan
Veteran
Veteran


Joined: 07 Jun 2005
Posts: 1512
Location: Paris, France

PostPosted: Mon Jul 16, 2007 4:23 pm    Post subject: Reply with quote

Regarde ça: GF21: C preprocessor "/lib/cpp" fails sanity check.
Back to top
View user's profile Send private message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Mon Jul 16, 2007 4:34 pm    Post subject: Reply with quote

deja whaooo la rapidité, merci

ensuite ce qu'il me reponds :

Code:
localhost michael # emerge --ask --verbose --oneshot linux-headers

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-util/unifdef-1.20  0 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.21 [2.6.17-r2] USE="(-gcc64%)" 4,287 kB

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 4,287 kB

Would you like to merge these packages? [Yes/No] y
>>> Unpacking source...
>>> Unpacking unifdef-1.20.tar.bz2 to /var/tmp/portage/dev-util/unifdef-1.20/work
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-util/unifdef-1.20/work/unifdef-1.20/Debian ...
./configure --prefix=/usr --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --build=i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gawk... (cached) gawk
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... yes
checking for i686-pc-linux-gnu-ranlib... i686-pc-linux-gnu-ranlib
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of i686-pc-linux-gnu-gcc... gcc3
checking for strlcat... no
checking for strlcpy... no
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating tests/Makefile
config.status: executing depfiles commands
Making all in src
make[1]: entrant dans le répertoire « /var/tmp/portage/dev-util/unifdef-1.20/work/unifdef-1.20/Debian/src »
if i686-pc-linux-gnu-gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"unifdef\" -DVERSION=\"1.0+20030701\"  -I. -I.     -O2 -march=
athlon-xp -pipe -fomit-frame-pointer -MT unifdef.o -MD -MP -MF ".deps/unifdef.Tpo" -c -o unifdef.o unifdef.c; \
        then mv -f ".deps/unifdef.Tpo" ".deps/unifdef.Po"; else rm -f ".deps/unifdef.Tpo"; exit 1; fi
In file included from /usr/include/gnu/stubs.h:4,
                 from /usr/include/features.h:346,
                 from /usr/include/sys/cdefs.h:25,
                 from unifdef.c:34:
/usr/include/bits/wordsize.h:1: erreur: stray ‘\20’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\264’ in program
/usr/include/bits/wordsize.h:1: erreur: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘u’
/usr/include/bits/wordsize.h:1: erreur: stray ‘\256’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\10’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\1’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\6’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\2’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\300’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\33’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\242’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\20’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\256’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\10’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\246’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\1’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\6’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\2’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\34’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\203’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\20’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\242’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\256’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\4’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\10’ in program
/usr/include/bits/wordsize.h:1: erreur: stray ‘\317’ in program

[....]

/usr/include/unistd.h:391: erreur: declaration for parameter ‘alarm’ but no such parameter
/usr/include/unistd.h:382: erreur: declaration for parameter ‘pipe’ but no such parameter
/usr/include/unistd.h:318: erreur: declaration for parameter ‘close’ but no such parameter
/usr/include/unistd.h:256: erreur: declaration for parameter ‘access’ but no such parameter
/usr/include/bits/string2.h:1324: erreur: declaration for parameter ‘__strndup’ but no such parameter
/usr/include/bits/string2.h:1261: erreur: declaration for parameter ‘__strsep_3c’ but no such parameter
/usr/include/bits/string2.h:1233: erreur: declaration for parameter ‘__strsep_2c’ but no such parameter
/usr/include/bits/string2.h:1223: erreur: declaration for parameter ‘__strsep_1c’ but no such parameter
/usr/include/bits/string2.h:1205: erreur: declaration for parameter ‘__strsep_g’ but no such parameter
/usr/include/bits/string2.h:1173: erreur: declaration for parameter ‘__strtok_r_1c’ but no such parameter
/usr/include/bits/string2.h:1133: erreur: declaration for parameter ‘__strpbrk_c3’ but no such parameter
/usr/include/bits/string2.h:1122: erreur: declaration for parameter ‘__strpbrk_c2’ but no such parameter
/usr/include/bits/string2.h:394: erreur: declaration for parameter ‘__rawmemchr’ but no such parameter
/usr/include/string.h:350: erreur: declaration for parameter ‘strsep’ but no such parameter
/usr/include/string.h:330: erreur: declaration for parameter ‘strncasecmp’ but no such parameter
/usr/include/string.h:326: erreur: declaration for parameter ‘strcasecmp’ but no such parameter
/usr/include/string.h:312: erreur: declaration for parameter ‘ffs’ but no such parameter
/usr/include/string.h:308: erreur: declaration for parameter ‘rindex’ but no such parameter
/usr/include/string.h:304: erreur: declaration for parameter ‘index’ but no such parameter
/usr/include/string.h:300: erreur: declaration for parameter ‘bcmp’ but no such parameter
/usr/include/string.h:296: erreur: declaration for parameter ‘bzero’ but no such parameter
/usr/include/string.h:293: erreur: declaration for parameter ‘bcopy’ but no such parameter
/usr/include/string.h:288: erreur: declaration for parameter ‘__bzero’ but no such parameter
/usr/include/string.h:270: erreur: declaration for parameter ‘strerror_r’ but no such parameter
/usr/include/string.h:256: erreur: declaration for parameter ‘strerror’ but no such parameter
/usr/include/string.h:212: erreur: declaration for parameter ‘strtok_r’ but no such parameter
/usr/include/string.h:208: erreur: declaration for parameter ‘__strtok_r’ but no such parameter
/usr/include/string.h:200: erreur: declaration for parameter ‘strtok’ but no such parameter
/usr/include/string.h:195: erreur: declaration for parameter ‘strstr’ but no such parameter
/usr/include/string.h:192: erreur: declaration for parameter ‘strpbrk’ but no such parameter
/usr/include/string.h:171: erreur: declaration for parameter ‘strrchr’ but no such parameter
/usr/include/string.h:168: erreur: declaration for parameter ‘strchr’ but no such parameter
/usr/include/string.h:131: erreur: declaration for parameter ‘strdup’ but no such parameter
/usr/include/string.h:107: erreur: declaration for parameter ‘strcoll’ but no such parameter
/usr/include/string.h:103: erreur: declaration for parameter ‘strncmp’ but no such parameter
/usr/include/string.h:100: erreur: declaration for parameter ‘strcmp’ but no such parameter
/usr/include/string.h:96: erreur: declaration for parameter ‘strncat’ but no such parameter
/usr/include/string.h:93: erreur: declaration for parameter ‘strcat’ but no such parameter
/usr/include/string.h:89: erreur: declaration for parameter ‘strncpy’ but no such parameter
/usr/include/string.h:85: erreur: declaration for parameter ‘strcpy’ but no such parameter
/usr/include/string.h:67: erreur: declaration for parameter ‘memchr’ but no such parameter
/usr/include/string.h:63: erreur: declaration for parameter ‘memcmp’ but no such parameter
/usr/include/string.h:59: erreur: declaration for parameter ‘memset’ but no such parameter
/usr/include/string.h:53: erreur: declaration for parameter ‘memccpy’ but no such parameter
/usr/include/string.h:44: erreur: declaration for parameter ‘memmove’ but no such parameter
unifdef.c:998: erreur: expected ‘{’ at end of input
make[1]: *** [unifdef.o] Erreur 1
make[1]: quittant le répertoire « /var/tmp/portage/dev-util/unifdef-1.20/work/unifdef-1.20/Debian/src »
make: *** [all-recursive] Erreur 1

!!! ERROR: dev-util/unifdef-1.20 failed.
Call stack:
  ebuild.sh, line 1621:   Called dyn_compile
  ebuild.sh, line 973:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  ebuild.sh, line 647:   Called die

!!! emake failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-util/unifdef-1.20/temp/build.log'.


le log complet est dispo http://xlurp.free.fr/build.log <--ici (169ko) je l'ai coupé pour l'affichage au milieu, moi il me fait peur ce log
Back to top
View user's profile Send private message
widan
Veteran
Veteran


Joined: 07 Jun 2005
Posts: 1512
Location: Paris, France

PostPosted: Mon Jul 16, 2007 8:20 pm    Post subject: Reply with quote

Tu as des fichiers corrompus dans /usr/include apparemment (ce qui était probablement aussi la cause du problème initial). Essaye de remettre les 2.6.17-r2, il n'ont pas besoin d'unifdef (qu'il n'arrive pas à compiler à cause de la corruption...):
Code:
# emerge --oneshot =linux-headers-2.6.17-r2


Edit: Bon en fait ça à l'air plus grave que ça. D'après le log stdlib.h est corrompu aussi (les messages "stray '\xxx' in program"), et celui-là vient de glibc, pas de linux-headers.
Back to top
View user's profile Send private message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Mon Jul 16, 2007 8:38 pm    Post subject: Reply with quote

sauvable ?

en tout cas la commande donné plante a "l'identique" et il me dit qu'il n'y a plus de headers

Edit :
idée simple : repartir des paquets binaires et reconstruire le systeme ainsi parcontre je ne sais pas si ça va marcher donc un avis ?
Back to top
View user's profile Send private message
CryoGen
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1425
Location: Bamako - Mali - Afrique

PostPosted: Tue Jul 17, 2007 11:04 am    Post subject: Reply with quote

Oui ca pourrait marcher :)
_________________
- CryoGen` on #gentoofr@irc.freenode.net
- ~amd64 / KDE4
- I'm the bone of my sword...
Back to top
View user's profile Send private message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Tue Jul 17, 2007 12:43 pm    Post subject: Reply with quote

en cherchant comment utiliser les paquets binaires j'ai vu partout qu'il fallait un PORTAGE_BINHOST, mais j'ai aussi souvenir que lors de ma précédente install (qd le stage 1 etait dans la doc officiel d'install) on pouvait installer des paquets binaires directement mais je ne la retrouve plus
les miroirs ici :
http://gentoo-wiki.com/TIP_Using_PORTAGE_BINHOST#Athlon_XP

sont fiable (sécurité et stabilité ?)


quels paquets réinstaller en binary pour que ça remarche ?
-gcc
-glibc
-kernel(?)
-linux-headers
-autoconf/make/ant/.... (?)
-autres libs ?
Back to top
View user's profile Send private message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Tue Jul 17, 2007 4:59 pm    Post subject: Reply with quote

bon episode suivant : faire marcher les bin pkg

donc j'ai modifié le make.conf pour avoir une url valide pour i686

et ensuite je fais ça
Code:

localhost michael # emerge -KG nano --nocolor
*** Deprecated use of '--nocolor', use '--color=n' instead.
Calculating dependencies |Fetching binary packages info...
Loaded metadata pickle.
cache miss: 'x' --- cache hit: 'o'
oooooooooooooooooooooooooo
  -- DONE!

... done!

>>> Emerging (1 of 1) app-editors/nano-2.0.6 to /
Fetching 'app-editors/nano-2.0.6'
!!! Failed to spawn fetcher.
Fetcher exited with a failure condition.
localhost michael #


mission suivante le faire marcher en sachant que le paquet gcc 4.1.2 est bien sur le miroir

ps : oups pas vu merci, j'ai supprimé les 'o'


Last edited by xlurp on Tue Jul 17, 2007 8:33 pm; edited 1 time in total
Back to top
View user's profile Send private message
widan
Veteran
Veteran


Joined: 07 Jun 2005
Posts: 1512
Location: Paris, France

PostPosted: Tue Jul 17, 2007 7:48 pm    Post subject: Reply with quote

xlurp wrote:
gcc

Peut-être.
xlurp wrote:
glibc
linux-headers

Oui.
xlurp wrote:
kernel(?)

Non.
xlurp wrote:
-autoconf/make/ant/.... (?)
-autres libs ?

Pour les autres libs, seulement si tu as des problèmes de compilation les impliquant.

PS: Tu peux enlever la ligne de "oooooooooooo" dans le post précédent stp (ou la raccourcir) ? Ca déforme complètement la mise en page du forum.
Back to top
View user's profile Send private message
xlurp
n00b
n00b


Joined: 13 Nov 2004
Posts: 7

PostPosted: Tue Jul 17, 2007 9:23 pm    Post subject: Reply with quote

bon alors a priori en téléchargeant sur le miroir le fichier et le plaçant dans le rep de PKGBIN ça semble permettre de compiler de nouveau je teste en profondeur et j'espere, je cloture le sujet
Back to top
View user's profile Send private message
RickyLoad
Tux's lil' helper
Tux's lil' helper


Joined: 29 Dec 2006
Posts: 147
Location: Rennes

PostPosted: Sun Jul 22, 2007 3:38 am    Post subject: Reply with quote

Bonjour a tous
Bon je vais poursuivre le sujet ,parce que je suis planté aussi suite a un ==> emerge --depclean
qui m'a fait un tit nettoyage (avec mon accord certes !!) j'ai voulu lancer un ==> revdep-rebuild et là !! pan
A priori j'ai un prob de compilateur , il semble ne plus trouver mon gcc ?? (4.2.0)
J'ai voulu relancer d'autres compiles mais que dalle , tout se bloque !!
Normal me direz vous si je n'ai plus de ==> Gcc

Code:

Emerging (1 of 1) sys-devel/gcc-4.2.0 to /
 * gcc-4.2.0.tar.bz2 RMD160 ;-) ...                                                                                   [ ok ]
 * gcc-4.2.0.tar.bz2 SHA1 ;-) ...                                                                                     [ ok ]
 * gcc-4.2.0.tar.bz2 SHA256 ;-) ...                                                                                   [ ok ]
 * gcc-4.2.0.tar.bz2 size ;-) ...                                                                                     [ ok ]
 * gcc-4.2.0-uclibc-patches-1.0.tar.bz2 RMD160 ;-) ...                                                                [ ok ]
 * gcc-4.2.0-uclibc-patches-1.0.tar.bz2 SHA1 ;-) ...                                                                  [ ok ]
 * gcc-4.2.0-uclibc-patches-1.0.tar.bz2 SHA256 ;-) ...                                                                [ ok ]
 * gcc-4.2.0-uclibc-patches-1.0.tar.bz2 size ;-) ...                                                                  [ ok ]
 * gcc-4.2.0-patches-1.4.tar.bz2 RMD160 ;-) ...                                                                       [ ok ]
 * gcc-4.2.0-patches-1.4.tar.bz2 SHA1 ;-) ...                                                                         [ ok ]
 * gcc-4.2.0-patches-1.4.tar.bz2 SHA256 ;-) ...                                                                       [ ok ]
 * gcc-4.2.0-patches-1.4.tar.bz2 size ;-) ...                                                                         [ ok ]
 * checking ebuild checksums ;-) ...                                                                                  [ ok ]
 * checking auxfile checksums ;-) ...                                                                                 [ ok ]
 * checking miscfile checksums ;-) ...                                                                                [ ok ]
 * checking gcc-4.2.0.tar.bz2 ;-) ...                                                                                 [ ok ]
 * checking gcc-4.2.0-uclibc-patches-1.0.tar.bz2 ;-) ...                                                              [ ok ]
 * checking gcc-4.2.0-patches-1.4.tar.bz2 ;-) ...                                                                     [ ok ]
>>> Unpacking source...
>>> Unpacking gcc-4.2.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.2.0/work
>>> Unpacking gcc-4.2.0-patches-1.4.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.2.0/work
>>> Unpacking gcc-4.2.0-uclibc-patches-1.0.tar.bz2 to /var/tmp/portage/sys-devel/gcc-4.2.0/work
 * Applying Gentoo patches ...
 *   00_all_gcc-4.1-alpha-mieee-default.patch ...                                                                     [ ok ]
 *   00_all_gcc-trampolinewarn.patch ...                                                                              [ ok ]
 *   01_all_gcc4-ice-hack.patch ...                                                                                   [ ok ]
 *   02_all_gcc4-ppc64-m32-m64-multilib-only.patch ...                                                                [ ok ]
 *   03_all_gcc4-java-nomulti.patch ...                                                                               [ ok ]
 *   06_all_gcc4-slow-pthread-self.patch ...                                                                          [ ok ]
 *   08_all_gcc-4.1-cross-compile.patch ...                                                                           [ ok ]
 *   10_all_gcc4-libltdl-multilib.patch ...                                                                           [ ok ]
 *   11_all_gcc-netbsd-symbolic.patch ...                                                                             [ ok ]
 *   20_all_cris-dont-force-limits-header.patch ...                                                                   [ ok ]
 *   34_all_arm-bigendian.patch ...                                                                                   [ ok ]
 *   40_all_gcc42-PR30052.patch ...                                                                                   [ ok ]
 *   41_all_gcc42-PR32389.patch ...                                                                                   [ ok ]
 *   42_all_gcc42-PR30252.patch ...                                                                                   [ ok ]
 *   43_all_gcc42-PR32500.patch ...                                                                                   [ ok ]
 *   51_all_gcc-3.4-libiberty-pic.patch ...                                                                           [ ok ]
 *   53_all_gcc4-superh-default-multilib.patch ...                                                                    [ ok ]
 *   54_all_300-libstdc++-pic.patch ...                                                                               [ ok ]
 *   61_all_gcc4-ia64-noteGNUstack.patch ...                                                                          [ ok ]
 *   62_all_gcc4-noteGNUstack.patch ...                                                                               [ ok ]
 *   74_all_sh-pr24836.patch ...                                                                                      [ ok ]
 *   85_all_gcc-ca-translation-typo.patch ...                                                                         [ ok ]
 *   90_all_mips-add-march-r10k.patch ...                                                                             [ ok ]
 *   91_all_mips-ip28_cache_barriers-v4.patch ...                                                                     [ ok ]
 * Done with patching
 * Applying uClibc patches ...
 *   90_all_100-uclibc-conf.patch ...                                                                                 [ ok ]
 *   90_all_103-uclibc-conf-noupstream.patch ...                                                                      [ ok ]
 *   90_all_200-uclibc-locale.patch ...                                                                               [ ok ]
 *   90_all_203-uclibc-locale-no__x.patch ...                                                                         [ ok ]
 *   90_all_204-uclibc-locale-wchar_fix.patch ...                                                                     [ ok ]
 *   90_all_205-uclibc-locale-update.patch ...                                                                        [ ok ]
 *   90_all_301-missing-execinfo_h.patch ...                                                                          [ ok ]
 *   90_all_302-c99-snprintf.patch ...                                                                                [ ok ]
 *   90_all_303-c99-complex-ugly-hack.patch ...                                                                       [ ok ]
 *   90_all_304-index_macro.patch ...                                                                                 [ ok ]
 *   90_all_305-libmudflap-susv3-legacy.patch ...                                                                     [ ok ]
 *   90_all_306-libstdc++-namespace.patch ...                                                                         [ ok ]
 *   90_all_402-libbackend_dep_gcov-iov.h.patch ...                                                                   [ ok ]
 * Done with patching
 * QA Notice: USE Flag 'elibc_FreeBSD' not in IUSE for sys-devel/gcc-4.2.0
 * Replacing obsolete head/tail with POSIX compliant ones
 *  - fixed contrib/test_summary
 *  - fixed boehm-gc/configure
 *  - fixed fixincludes/configure
 *  - fixed gcc/configure
 *  - fixed gnattools/configure
 *  - fixed intl/configure
 *  - fixed libada/configure
 *  - fixed libcpp/configure
 *  - fixed libdecnumber/configure
 *  - fixed libffi/configure
 *  - fixed libgfortran/configure
 *  - fixed libgomp/configure
 *  - fixed libiberty/configure
 *  - fixed libjava/configure
 *  - fixed libmudflap/configure
 *  - fixed libobjc/configure
 *  - fixed libssp/configure
 *  - fixed libstdc++-v3/configure
 *  - fixed zlib/configure
 *  - fixed ltcf-c.sh
 *  - fixed ltcf-cxx.sh
 *  - fixed ltcf-gcj.sh
 *  - fixed ltmain.sh
 *  - fixed boehm-gc/Makefile.in
 *  - fixed fixincludes/Makefile.in
 *  - fixed gcc/Makefile.in
 *  - fixed gnattools/Makefile.in
 *  - fixed intl/Makefile.in
 *  - fixed libada/Makefile.in
 *  - fixed libcpp/Makefile.in
 *  - fixed libdecnumber/Makefile.in
 *  - fixed libffi/Makefile.in
 *  - fixed libgfortran/Makefile.in
 *  - fixed libgomp/Makefile.in
 *  - fixed libiberty/Makefile.in
 *  - fixed libjava/Makefile.in
 *  - fixed libmudflap/Makefile.in
 *  - fixed libobjc/Makefile.in
 *  - fixed libssp/Makefile.in
 *  - fixed libstdc++-v3/Makefile.in
 *  - fixed zlib/Makefile.in
 * patching gcc version: 4.2.0 (Gentoo 4.2.0 p1.4)
 * Running elibtoolize in: gcc-4.2.0
 *   Applying portage-1.5.10.patch ...
 *   Applying sed-1.5.6.patch ...
 *   Applying test-1.4.1.patch ...
 *   Applying tmp-1.3.5.patch ...
 * Using GNU config files from /usr/share/libtool
 *   Updating libjava/libltdl/config.sub                                                                              [ ok ]
 *   Updating libjava/classpath/config.sub                                                                            [ ok ]
 *   Updating config.sub                                                                                              [ ok ]
 *   Updating libjava/libltdl/config.guess                                                                            [ ok ]
 *   Updating libjava/classpath/config.guess                                                                          [ ok ]
 *   Updating config.guess                                                                                            [ ok ]
 * Fixing misc issues in configure files
 *   Updating configure ...                                                                                           [ ok ]
 * Touching generated files
 *   Touching gcc/cstamp-h.in
 *   Touching gcc/config.in
 *   Touching libjava/aclocal.m4
 *   Touching libjava/Makefile.in
 *   Touching libjava/configure
 *   Touching libjava/libltdl/aclocal.m4
 *   Touching libjava/libltdl/Makefile.in
 *   Touching libjava/libltdl/configure
 *   Touching libjava/libltdl/config-h.in
 * Applying gcc-spec-env.patch ...                                                                                    [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/sys-devel/gcc-4.2.0/work/gcc-4.2.0 ...
 * CFLAGS=""
 * CXXFLAGS=""
 * Configuring gcc ...
 * running gcc-compiler-configure
 * configuring for GCC_LANG: c

 * PREFIX:                      /usr
 * BINPATH:                     /usr/i686-pc-linux-gnu/gcc-bin/4.2.0
 * LIBPATH:                     /usr/lib/gcc/i686-pc-linux-gnu/4.2.0
 * DATAPATH:            /usr/share/gcc-data/i686-pc-linux-gnu/4.2.0
 * STDCXX_INCDIR:       /usr/lib/gcc/i686-pc-linux-gnu/4.2.0/include/g++-v4

 * Configuring GCC with:
        --prefix=/usr
        --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.2.0
        --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.2.0/include
        --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.2.0
        --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.2.0/man
        --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.2.0/info
        --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.2.0/include/g++-v4
        --host=i686-pc-linux-gnu
        --build=i686-pc-linux-gnu
        --disable-altivec
        --disable-nls
        --with-system-zlib
        --disable-checking
        --disable-werror
        --enable-secureplt
        --disable-libunwind-exceptions
        --disable-multilib
        --enable-libmudflap
        --disable-libssp
        --disable-libgcj
        --with-arch=i686
        --enable-languages=c
        --enable-shared
        --enable-threads=posix
        --enable-__cxa_atexit
        --enable-clocale=gnu

creating cache ./config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... /usr/bin/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
 *
 * ERROR: sys-devel/gcc-4.2.0 failed.
 * Call stack:
 *   ebuild.sh, line 1647:   Called dyn_compile
 *   ebuild.sh, line 988:   Called qa_call 'src_compile'
 *   ebuild.sh, line 44:   Called src_compile
 *   ebuild.sh, line 1327:   Called toolchain_src_compile
 *   toolchain.eclass, line 26:   Called gcc_src_compile
 *   toolchain.eclass, line 1537:   Called gcc_do_configure
 *   toolchain.eclass, line 1337:   Called die
 *
 * failed to run configure
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/sys-devel/gcc-4.2.0/temp/build.log'.
 *
Gentoo rickyload #


Voilà si vous pouviez m'aider a debloquer cette situation , parce que la je peux plus rien compiler :((
Mci[/quote]
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Sun Jul 22, 2007 6:01 am    Post subject: Reply with quote

Si tu n'as pas de sauvegarde tu es mal car sans GCC point de salut.
_________________
Assurez-vous que le titre de votre message soit conforme aux conventions de ce forum (paragraphe 3/3 : Comment poster sur le forum ??)
Back to top
View user's profile Send private message
Tuxicomane
Apprentice
Apprentice


Joined: 14 Nov 2006
Posts: 290
Location: Val-de-Marne, FRANCE

PostPosted: Sun Jul 22, 2007 9:36 am    Post subject: Reply with quote

Par hasard, ça n'est pas arrivé après la mise à jour de GCC ?

Que te répond un gcc-config -l ?
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2869
Location: Grenoble, France

PostPosted: Sun Jul 22, 2007 9:47 am    Post subject: Reply with quote

Code:
fix_libtool.sh 4.1.2
? (si 4.1.2 était l'ancienne version de gcc...)
Back to top
View user's profile Send private message
RickyLoad
Tux's lil' helper
Tux's lil' helper


Joined: 29 Dec 2006
Posts: 147
Location: Rennes

PostPosted: Sun Jul 22, 2007 4:24 pm    Post subject: Reply with quote

Re
Bon a priori çà se gate , je n'ai plus de mode graphique now :((

Code:

Par hasard, ça n'est pas arrivé après la mise à jour de GCC ?

Que te répond un gcc-config -l ?


Bon le ==> gcc-config -l

Code:

Gentoo rickyload # gcc-confi -l
*gcc-config: Active gcc profile is invalide!
[1] i686-pc-linux-gnu-4.2.0
Gentoo rickyload #


euh d'autre part un ==> emerge -s gcc
me donne entre autre !!!!
sys-devel/gcc
Latest version available: 4.2.0
Latest version installed: 4.2.0

Donc déjà j'ai bien un gcc ,mais doit pas trouver le fichier de config ou un truc du genre !!!!!
Merci de votre aide , parce que la je repars pas :((
Back to top
View user's profile Send private message
titoucha
Advocate
Advocate


Joined: 21 Jul 2005
Posts: 2374
Location: Genève

PostPosted: Sun Jul 22, 2007 4:37 pm    Post subject: Reply with quote

Comme le dit le message tu n'as pas de profile actif fais un
Code:
gcc-config i686-pc-linux-gnu-4.2.0
suivi d'un
Code:
gcc-config -l

_________________
Assurez-vous que le titre de votre message soit conforme aux conventions de ce forum (paragraphe 3/3 : Comment poster sur le forum ??)
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2869
Location: Grenoble, France

PostPosted: Sun Jul 22, 2007 4:39 pm    Post subject: Reply with quote

ça fait plusieurs fois que je le vois, alors juste pour info, on peut donner le numéro dans la liste à gcc-config plutot que se faire... s'embeter à taper tout le nom.. gcc-config 1 fera l'affaire.
Back to top
View user's profile Send private message
RickyLoad
Tux's lil' helper
Tux's lil' helper


Joined: 29 Dec 2006
Posts: 147
Location: Rennes

PostPosted: Sun Jul 22, 2007 6:34 pm    Post subject: Reply with quote

re
'tain les mecs !!! zêtes des chefs !!!
Nickel tout est reparti ,
Un big merci a vous tous
Super forum en tout cas :)
@+
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2869
Location: Grenoble, France

PostPosted: Sun Jul 22, 2007 6:55 pm    Post subject: Reply with quote

Hum, juste comme ça. Portage envoie un message qui te dit qu'il faut changer le profile pour gcc 4.2.0 et qu'il ne le fait pas automatiquement car l'autre est encore valable.... Il faut faire attention aux messages de portage. Et ce truc a déjà été traité il y a vraiment pas longtemps.
Back to top
View user's profile Send private message
RickyLoad
Tux's lil' helper
Tux's lil' helper


Joined: 29 Dec 2006
Posts: 147
Location: Rennes

PostPosted: Mon Jul 23, 2007 3:08 am    Post subject: Reply with quote

Re

Code:

Hum, juste comme ça. Portage envoie un message qui te dit qu'il faut changer le profile pour gcc 4.2.0 et qu'il ne le fait pas automatiquement car l'autre est encore valable.... Il faut faire attention aux messages de portage. Et ce truc a déjà été traité il y a vraiment pas longtemps.


Mea Culpa ...........

Bon je laisse xlurp boucler le post avec un tit "résolu", vu que j'ai juste "élargi" la discution à mon prob !!
@++
Back to top
View user's profile Send private message
CryoGen
Veteran
Veteran


Joined: 11 Feb 2004
Posts: 1425
Location: Bamako - Mali - Afrique

PostPosted: Mon Jul 23, 2007 3:18 am    Post subject: Reply with quote

kopp wrote:
Hum, juste comme ça. Portage envoie un message qui te dit qu'il faut changer le profile pour gcc 4.2.0 et qu'il ne le fait pas automatiquement car l'autre est encore valable.... Il faut faire attention aux messages de portage. Et ce truc a déjà été traité il y a vraiment pas longtemps.


J'ajouterai que quand il y a un problème de compilation, la première chose à faire est de vérifier gcc-config et binutils-config avant de paniquer ^_^
_________________
- CryoGen` on #gentoofr@irc.freenode.net
- ~amd64 / KDE4
- I'm the bone of my sword...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum